#pragma once

#include "molecule.h"

#include <iostream>  // std::istream
#include <map>

namespace ljts
{
   class Box;
}
std::istream& operator>>(std::istream& is, ljts::Box& b);

namespace ljts
{
   class Box
   {
   public:
      Box() = default;
      Box(std::istream* is) {
         *is >> *this;
      }

      void read_positions(std::istream* is);
      void read_velocities(std::istream* is);
      
      double E_kin();
      double E_pot();

   private:
      std::map<int, Molecule> molecules{};
   };
}
